---
--- Date         : 2020-07-13 10:46:18
--- Author       : LICHAO7
--- LastEditors  : LICHAO7
--- LastEditTime : 2020-07-31 22:49:42
--- Description  : ÔØ¾ßÃæ°å×é¼þ
---

ModelPanel = function(self)
    local tabModels   = self.m_tabModels;
    local wndModFlags = bit.ors(
        ImGuiWindowFlags_.ImGuiWindowFlags_ChildWindow,
        ImGuiWindowFlags_.ImGuiWindowFlags_NoScrollbar
    );
    local modelPanelW = self.m_style_table.size[0] - 20;
    local modelPanelH = self.m_style_table.size[1] - 100;--495
    ImGui.Text(self.m_tabUiText.headerSepText);
    ImGui.Separator();
    if (ImGui.BeginChild("#ModelPanel", ImVec2(modelPanelW, modelPanelH), false, wndModFlags)) then
        ImGui.Columns(4, "#ModelView", false);
        local i = 1;
        while i <= #tabModels do
            if ImGui.Button(tabModels[i].name, ImVec2(135, 170)) then
                self.m_currentModel = tabModels[i];
                self:UseFlightModel(self.m_currentModel);
            end
            ImGui.NextColumn();
            i = i + 1;
        end
        ImGui.Columns(1);
        ImGui.EndChild();
    end
end
